Date: Thu, 16 Apr 1998 11:25:01 +0200
From: Alain Malek <Alain.Malek@dumbo.cryogen.ch>
To: linux68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: pcmcia apne driver patch
Sender: owner-linux-m68k@phil.uni-sb.de

Hi,

 This patch makes it possible to use the apne driver on an Amiga 600.
(Someone reported me that it did work on is A600 with a 030 accelerator)

Alain


--- drivers/net/apne.c~ Tue Apr 14 16:07:52 1998
+++ drivers/net/apne.c  Tue Apr 14 16:09:58 1998
@@ -134,7 +134,7 @@
        char tuple[8];
 #endif
 
-       if ( !(MACH_IS_AMIGA && (boot_info.bi_un.bi_ami.model == AMI_1200)) )
+       if ( !(MACH_IS_AMIGA && (boot_info.bi_un.bi_ami.model == AMI_1200 || boot_info.bi_un.bi_ami.model == AMI_600)) )
                return (ENODEV);
 
        printk("Looking for PCMCIA ethernet card : ");
--- arch/m68k/amiga/amiints.c~  Wed Dec 17 13:08:05 1997
+++ arch/m68k/amiga/amiints.c   Tue Apr 14 16:12:58 1998
@@ -97,7 +97,7 @@
        custom.intena = IF_SETCLR | IF_INTEN;
 
        /* turn off PCMCIA interrupts */
-       if ( boot_info.bi_un.bi_ami.model == AMI_1200 )
+       if ( boot_info.bi_un.bi_ami.model == AMI_1200 || boot_info.bi_un.bi_ami.model == AMI_600 )
                gayle.inten = GAYLE_IRQ_IDE;
 
        cia_init_IRQ(&ciaa_base);
